<?php
/**
 * FontAwesomeBBCode.php
 *
 * @package FontAwesome
 * @version 1.0.1
 * @author Lakituthequick <info@ltquick.nl>
 * @copyright Copyright (c) 2016, Lakituthequick
 * @license MIT
 */

if (!defined('SMF'))
	die('Hacking attempt...');

function faAddBBC(&$codes) //This adds the BBCode tag to the parser
{
	global $modSettings;
	
	$codes[] = array(
		'tag' => 'fa',
		'type' => 'unparsed_content',
		'content' => '<i class="fa fa-$1"></i>',
		'validate' => create_function('&$tag, &$data, $disabled','$data = preg_replace("/\s/", "", $data);')
	);
	//Here we check if we allow spinning icons
	if (!empty($modSettings['fontawesome_enableSpin'])) {$faSpin="spin|pulse|";} else {$faSpin="";}
	$codes[] = array(
		'tag' => 'fa',
		'type' => 'unparsed_equals',
		'test' => '('.$faSpin.'fw|rotate-(90|180|270)|flip-(horizontal|vertical))\]',
		'before' => '<i class="fa fa-$1 fa-',
		'after' => '"></i>',
		'validate' => create_function('&$tag, &$data, $disabled','$data = preg_replace("/[^a-z0-9\-]/", "", $data);')
	);
}

function faAddCSS() //This adds the required CSS to the head.
{
	global $context;
	$context['html_headers'].='
	<link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/font-awesome/4.5.0/css/font-awesome.min.css">';
}

function faModSettings(&$config_vars) //Add settings to admin screen
{
	global $txt;

	loadLanguage('FontAwesome');

	$config_vars[] = $txt['fontawesome_title'];
	$config_vars[] = array(
		'select',
		'fontawesome_enableSpin',
		array(
			0 => $txt['fontawesome_enableSpinNo'],
			1 => $txt['fontawesome_enableSpinYes']
			),
		$txt['fontawesome_enableSpin']
	);
}
?>